org.apache.geode.cache

## Class GatewayConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.OperationAbortedException
            - - org.apache.geode.cache.GatewayException
              - - org.apache.geode.cache.GatewayConfigurationException

- All Implemented Interfaces:
    java.io.Serializable

      public class GatewayConfigurationException
      extends GatewayException

  An exception indicating that a gateway configuration will not work with the remote side of the gateway's configuration.
  Since:
    GemFire 6.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayConfigurationException()`
    `GatewayConfigurationException(java.lang.String msg)`
    `GatewayConfigurationException(java.lang.String msg, java.lang.Throwable cause)`
    `GatewayConfigurationException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GatewayConfigurationException

          public GatewayConfigurationException()

    - #### GatewayConfigurationException

          public GatewayConfigurationException(java.lang.String msg,
                                               java.lang.Throwable cause)

    - #### GatewayConfigurationException

          public GatewayConfigurationException(java.lang.String msg)

    - #### GatewayConfigurationException

          public GatewayConfigurationException(java.lang.Throwable cause)